cpu_info_t Struct Reference
Public interface » ID macros » Hardware information

special cpu entry More...

`#include <hd.h>`

## Data Fields

enum cpu_arch | architecture
unsigned | family
| axp: cpu variation
unsigned | model
| axp: cpu revision
unsigned | stepping
unsigned | cache
unsigned | clock
unsigned | units
| >1 "hyperthreading"
char * | vend_name
| axp: system type
char * | model_name
| axp: cpu model
char * | platform
| x86: NULL
str_list_t * | features
| x86: flags
double | bogo
| bogo mips

## Detailed Description

special cpu entry

The documentation for this struct was generated from the following file:

- hd.h